# GET /WorkApps/{workAppId}/Accesses

## GET /api/v1/WorkApps/{workAppId}/Accesses

> Lists user accesses for a specific Work App.

```json
{"openapi":"3.0.4","info":{"title":"Cakewalk Open API","version":"v1"},"servers":[{"url":"https://open-api.getcakewalk.io"}],"security":[{"API Key":[]}],"components":{"securitySchemes":{"API Key":{"type":"apiKey","description":"Public API key used to identify the client application. It should be included in all requests.","name":"X-API-KEY","in":"header"}},"schemas":{"AccessListViewModelV1":{"required":["data","links"],"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/AccessViewModelV1"},"description":"The list of entities in the current page of the result."},"links":{"allOf":[{"$ref":"#/components/schemas/LinksViewModel"}],"description":"A set of related pagination URLs such as the next or previous page."}},"additionalProperties":false,"description":"Paginated response for a list of entities and pagination-related links."},"AccessViewModelV1":{"required":["user"],"type":"object","properties":{"isOwner":{"type":"boolean","description":"Indicates whether the user is the owner of the work app."},"user":{"allOf":[{"$ref":"#/components/schemas/UserDetailedViewModelV1"}],"description":"User with access to the work app."},"permissionLevel":{"allOf":[{"$ref":"#/components/schemas/PermissionLevelViewModelV1"}],"description":"Permission level assigned to the user for this work app, if applicable.","nullable":true}},"additionalProperties":false,"description":"Information about a user's access to a work app, including ownership and permission level."},"UserDetailedViewModelV1":{"required":["email","id","name","roleName","statusName"],"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of the user.","format":"uuid"},"name":{"minLength":1,"type":"string","description":"Full name of the user."},"email":{"minLength":1,"type":"string","description":"Email address of the user."},"roleId":{"type":"integer","description":"Identifier of the user's role.","format":"int32"},"roleName":{"allOf":[{"$ref":"#/components/schemas/UserRole"}],"description":"Name of the user's role."},"statusId":{"type":"integer","description":"Identifier of the user's status.","format":"int32"},"statusName":{"allOf":[{"$ref":"#/components/schemas/UserStatus"}],"description":"Name of the user's status."},"lastLogin":{"type":"string","description":"Timestamp of the user's last login, if available.","format":"date-time","nullable":true},"managerId":{"type":"string","description":"Unique identifier of the manager.","format":"uuid","nullable":true}},"additionalProperties":false,"description":"Detailed information about a user, including role, status, and optional last login timestamp."},"UserRole":{"enum":["User","Admin","SuperAdmin"],"type":"string"},"UserStatus":{"enum":["Active","Invited","Deactivated","Offboarding","Discovered","Ignored"],"type":"string"},"PermissionLevelViewModelV1":{"required":["description","id","name"],"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of the permission level.","format":"uuid"},"name":{"minLength":1,"type":"string","description":"Name of the permission level."},"description":{"minLength":1,"type":"string","description":"Description of what this permission level allows."},"isDefault":{"type":"boolean","description":"Indicates whether this is the default permission level for the work app."},"isPrivileged":{"type":"boolean","description":"Indicates whether this permission level is considered privileged."}},"additionalProperties":false,"description":"Permission level configuration for a work app, including default and privilege flags."},"LinksViewModel":{"required":["self"],"type":"object","properties":{"self":{"minLength":1,"type":"string","description":"URL to the current resource or page."},"next":{"type":"string","description":"URL to the next page in the collection, if available.","nullable":true}},"additionalProperties":false,"description":"Pagination-related URLs for navigating a paginated collection."},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/WorkApps/{workAppId}/Accesses":{"get":{"tags":["WorkApps"],"summary":"Lists user accesses for a specific Work App.","parameters":[{"name":"workAppId","in":"path","description":"The Work App's ID.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"cursor","in":"query","description":"Optional pagination cursor for fetching the next page of results.\nRefer to the pagination section in the documentation for usage details.","schema":{"type":"string"}},{"name":"X-API-SECRET","in":"header","description":"API Secret is used to verify the integrity of the request and authenticate the client. It should be included in all requests. This value must be kept confidential and should never be exposed in client-side code or public repositories.","required":true,"schema":{"type":"string","description":"API Secret is used to verify the integrity of the request and authenticate the client. It should be included in all requests. This value must be kept confidential and should never be exposed in client-side code or public repositories."}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/AccessListViewModelV1"}},"application/json":{"schema":{"$ref":"#/components/schemas/AccessListViewModelV1"}},"text/json":{"schema":{"$ref":"#/components/schemas/AccessListViewModelV1"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}}}
```
